Remote Code Execution (RCE) Affecting com.liferay:com.liferay.portal.template.freemarker Open this link in a new tab package, versions [,3.0.37) [4.0.0,4.0.28) [5.0.0,5.0.23) [6.0.1,6.0.7)


0.0
high
  • Attack Complexity

    High

  • Scope

    Changed

  • Confidentiality

    High

  • Integrity

    High

  • Availability

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-COMLIFERAY-572017

  • published

    11 Jun 2020

  • disclosed

    11 Jun 2020

  • credit

    Unknown

How to fix?

Upgrade com.liferay:com.liferay.portal.template.freemarker to version 3.0.37, 4.0.28, 5.0.23, 6.0.7 or higher.

Overview

com.liferay:com.liferay.portal.template.freemarker is a Liferay Portal Template FreeMarker

Affected versions of this package are vulnerable to Remote Code Execution (RCE). The template API does not restrict user access to sensitive objects, which allows remote authenticated users to execute arbitrary code via crafted FreeMarker and Velocity templates.